{% extends 'base.html.twig' %}

{% block title_extension %} - Liste des éleves{% endblock %}

{% block content %}
    <form id="formSearchEleve" class="formSearch" action="/search" method="post">
        <fieldset>
            <div class="inline-block form-control">
                <input id="eleve_nom" type="text" name="nom" placeholder="Nom" value="">
            </div>
            <div class="inline-block form-control">
                <select id="eleve_classe" class="" name="classe">
                    <option value="">Classe</option>
                    {% for classe in classes %}
                        <option value="{{classe.id}}">{{classe.nom}}</option>
                    {% endfor %}
                </select>
            </div>
            <div class="inline-block action">
                <input class="submitBtn" type="submit" name="search" value="Rechercher">
            </div>
        </fieldset>
    </form>
    <div class="loader">
        <img class="loading-image" src="{{ asset('build/loading.gif')}}" alt="loading...">
    </div>
    <div id="eleveListe">
        {% include 'eleve/eleve-item-list.html.twig' %}
    </div>
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {{ encore_entry_script_tags('eleveListe') }}
    <script type="text/javascript">
        $(document).ready(function() {
            eleveListe.init('#formSearchEleve', '#eleveListe');
        });
    </script>
{% endblock %}
